ISCNTRL(3)

NAME
iscntrl, iscntrl_l - control single-byte character test

SYNOPSIS
#include <ctype.h>
int
iscntrl(int c);
int
iscntrl_l(int c, locale_t locale);

DESCRIPTION
The iscntrl() and iscntrl_l() functions tests for any control character.

In the C locale, the complete list of control characters consists of the characters numbered 0x01–0x1f and 0x7f. OpenBSD always uses the C locale for these functions, ignoring the global locale, the thread-specific locale, and the locale argument.

RETURN VALUES
These functions return zero if the character tests false or non-zero if the character tests true.

ENVIRONMENT
On systems supporting non-ASCII single-byte character encodings, results of these functions may differ, and the results of iscntrl() may depend on the LC_CTYPE locale(1).

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), iswcntrl(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The iscntrl() function conforms to ansiC, and iscntrl_l() to p1003.1-2008.

HISTORY
The iscntrl() function first appeared in AT&T UNIX, and iscntrl_l() has been available since OpenBSD 6.2.

CAVEATS
The argument c must be EOF or representable as an unsigned char; otherwise, the result is undefined.